
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.202644E6-131F-73A1-C556-833D113C5AB4]
// </editor-fold> 
public class Partida {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.45B348C8-D063-821F-673E-A9552B93ACCE]
    // </editor-fold> 
    private int NumeroJugadores = 0;
    private boolean finalizar=false;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2E4F394B-B0B4-56C4-21F9-B495AFBF3B8F]
    // </editor-fold> 
    private ArrayList<Jugador> ListaJugador = null;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AFF8E265-A2AE-CFF0-3506-AADB085E47A5]
    // </editor-fold> 
    private Tablero mTablero = new Tablero();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.5C57A7A5-E5D6-6B68-DB62-7B813F236AFB]
    // </editor-fold> 
    public Partida () throws java.io.IOException {
        System.out.println("Se ha creado una partida");
        //Creación del flujo para leer datos
        InputStreamReader isr = new InputStreamReader(System.in);
        BufferedReader br = new BufferedReader(isr);
        boolean error = false;
        
        do
        {
            if( error )
            {
                System.out.println("El numero de jugadores debe estar en [2 - 6].");
                error = false;
            }
            System.out.print("Introduce el numero de jugadores: ");
            String texto1 = br.readLine();
            NumeroJugadores = Integer.parseInt(texto1);
            System.out.println("Numero de jugadores: " + NumeroJugadores);
            
            if( NumeroJugadores < 2 || NumeroJugadores > 6)
                error = true;
            
        }while (NumeroJugadores < 2 || NumeroJugadores > 6);
    
    
        //Inicializamos el array con los jugadores al numero de jugadores introducidos
        ListaJugador = new ArrayList(NumeroJugadores);
    
        //creamos los jugadores
        for (int i=1;i<=NumeroJugadores;i++)
        {
           System.out.print("Nombre del jugador " + i + ": ");
           String texto1=br.readLine(); // pedimos los nombres por teclado           
           ListaJugador.add(new Jugador(texto1));
        }
        
        Jugar(); // comenzamos la partida
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3A97B43A-2109-0884-F565-3840AF227B5F]
    // </editor-fold> 
    public void Jugar () throws java.io.IOException {
      int turnojugador=0;
      int seleccion=0;
      
      InputStreamReader isr=new InputStreamReader(System.in);
      BufferedReader br=new BufferedReader(isr); 
       do{
        
          do{
          
          System.out.print("Turno de jugador: ");
          System.out.println(ListaJugador.get(turnojugador).getNombreJugador());
          seleccion = ListaJugador.get(turnojugador).Accion();
      
          switch (seleccion)
          {
              case 1: Atacar();
                      break;
              case 3: Transferir();
                      break;
              case 4: FinalizarPartida();
                      break;
              case 5: VerCartas();
                      break;
          }
           
        }while (seleccion!=2 && finalizar==false);   
         
      //este if cuando llega al final de jugadores, volvemos a empezar por el primero
        if (turnojugador<NumeroJugadores-1)
            turnojugador++;
        else
            turnojugador=0;
        System.out.println("Cambio de Turno.");
       }while(!finalizar);
    }

    public void Atacar(){
    System.out.println("Jugador esta atacando");
    
    }
    public void Transferir(){
    System.out.println("Transfiriendo ejercitos");
    
    }
    public void VerCartas(){
    System.out.println("Viendo Cartas");
    }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3F5B2AC9-C563-07BC-3841-BAF79ED50145]
    // </editor-fold> 
    public ArrayList<Jugador> getJugador () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1A9F203C-96B3-7D24-8AFB-BF92C3F1C2EF]
    // </editor-fold> 
    public void setJugador (ArrayList<Jugador> val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.317252FA-B58B-F9F3-B60E-13374DDE485F]
    // </editor-fold> 
    public Tablero getTablero () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8A0754D5-8421-946C-5237-DEFDB3872F5E]
    // </editor-fold> 
    public void setTablero (Tablero val) {
    }

    private void FinalizarPartida() {
        System.out.println("Finalizando Partida");
        finalizar=true;
    }

}

